
set( artdaq_demo_VERSION 3.02.00 )
set( artdaq_demo_UPS_VERSION v3_02_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( artdaq v0_04_02 )
    find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( canvas_root_io  )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib_except  )
    find_ups_product( cetlib v2_01_00 )
    find_ups_product( sqlite  )
    find_ups_product( fhiclcpp  )
    find_ups_product( python  )
    find_ups_product( messagefacility  )
    find_ups_product( hep_concurrency  )
    find_ups_product( tbb  )
    find_ups_product( range  )
    find_ups_root(  )
    find_ups_product( artdaq_core v1_03_01 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( artdaq_utilities v1_00_00 )
    find_ups_product( xmlrpc_c v1_25_18 )
    find_ups_product( artdaq_core_demo v0_00_01 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PYTHON )
      cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
      set( ARTDAQ-DEMO_ARTMODULES_ARTDAQDEMOBUILDINFO_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_ArtdaqDemoBuildInfo_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_NTHEVENT_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_NthEvent_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_TOYDUMP_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_ToyDump_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_ASCIIDUMP_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_ASCIIDump_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_ROOTAPPLICATION_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_RootApplication_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_WFVIEWER_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_WFViewer_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_CHECKINTEGRITY_MODULE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_CheckIntegrity_module.so )
      set( ARTDAQ-DEMO_ARTMODULES_DEMOINPUT_SOURCE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_ArtModules_DemoInput_source.so )
      set( ARTDAQ-DEMO_GENERATORS_TOYSIMULATOR_GENERATOR $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_Generators_ToySimulator_generator.so )
      set( ARTDAQ-DEMO_GENERATORS_ASCIISIMULATOR_GENERATOR $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_Generators_AsciiSimulator_generator.so )
      set( ARTDAQ-DEMO_GENERATORS_UDPRECEIVER_GENERATOR $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_Generators_UDPReceiver_generator.so )
      set( ARTDAQ-DEMO_GENERATORS_TOYHARDWAREINTERFACE $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_Generators_ToyHardwareInterface.so )
      set( ARTDAQ-DEMO_BUILDINFO $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_BuildInfo.so )
      set( ARTDAQ-DEMO_TRANSFERPLUGINS_NTHEVENT_TRANSFER $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_TransferPlugins_NthEvent_transfer.so )
      set( ARTDAQ-DEMO_ROUTINGPOLICIES_MISBEHAVIORTEST_POLICY $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_RoutingPolicies_MisbehaviorTest_policy.so )
      set( ARTDAQ-DEMO_ROUTINGPOLICIES_NTHEVENT_POLICY $ENV{ARTDAQ_DEMO_LIB}/libartdaq-demo_RoutingPolicies_NthEvent_policy.so )
      include_directories ( $ENV{ARTDAQ_DEMO_INC} )

check_required_components(artdaq_demo)

